/*
 * Copyright (c) 2010-2014 The Amdatu Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.celix.calc.impl;

import org.apache.celix.calc.api.Calculator;

/**
 * @author <a href="mailto:amdatu-developers@amdatu.org">Amdatu Project Team</a>
 */
public class CalculatorImpl implements Calculator {

    @Override
    public double add(double a, double b) {
        System.out.printf("Add(%f, %f) => %f\n", a, b, (a + b));
        return a + b;
    }

    @Override
    public double sub(double a, double b) {
        return a - b;
    }

    @Override
    public double sqrt(double a) {
        if (a < 0) {
            throw new IllegalArgumentException("Cannot take square root!");
        }
        return Math.sqrt(a);
    }
}
